require_relative 'wikiconvert/version'
require_relative 'wikiconvert/methods'
require 'rainbow'
require 'dinosaurus'

module Wikiconvert

  #edit this
  Dinosaurus.configure do |config|
    config.api_key = File.read(bighugelabs_api.txt) #read the api key
  end

  cls

  # ACTUAL CODE
  input = ARGV[0]

  if input.nil?
    puts 'You have not specified any arguments'
    Process.exit(0)
  end

  split = input.split(" ")

  split.length.times do |i|
    results = Dinosaurus.synonyms_of(split[i])
    unless split[i].nil?
      replace_in_array(split, split[i], results[i])
    end
  end

  cls
  final = array_to_string(split)
  puts ">> #{final}"

  lots_of_space
end
